% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/geom_dag.R
\name{scale_dag}
\alias{scale_dag}
\title{Common scale adjustments for DAGs}
\usage{
scale_dag(expand_x = expand_scale(c(0.1, 0.1)),
  expand_y = expand_scale(c(0.1, 0.1)), breaks = ggplot2::waiver())
}
\arguments{
\item{expand_x, expand_y}{Vector of range expansion constants used to add some
padding around the data, to ensure that they are placed some distance away
from the axes. Use the convenience function \code{expand_scale()} to
generate the values for the expand argument.}

\item{breaks}{One of:
\itemize{
\item NULL for no breaks
\item waiver() for the default breaks computed by the transformation object
\item A numeric vector of positions
\item A function that takes the limits as input and returns breaks as output
}}
}
\description{
Common scale adjustments for DAGs
}
